Summary:	A high-level wrapper for Kerberos (GSSAPI) operations
Name:		python-kerberos
Version:	1.1
Release:	2
License:	ASL 2.0
Group:		Development/Python
Url:		http://trac.calendarserver.org/projects/calendarserver/browser/PyKerberos
# Pull from SVN
# svn export http://svn.calendarserver.org/repository/calendarserver/PyKerberos/tags/release/PyKerberos-1.1/ python-kerberos-1.1
# tar czf python-kerberos-%{version}.tar.gz python-kerberos-%{version}
Source0:	%{name}-%{version}.tar.gz
Patch0:		PyKerberos-delegation.patch
Patch1:		PyKerberos-version.patch
Patch2:		PyKerberos-gsswrap.patch
Patch3:		PyKerberos-inquire.patch
BuildRequires:	python-setuptools
BuildRequires:	krb5-devel
BuildRequires:	pkgconfig(python)

%description
This Python package is a high-level wrapper for Kerberos (GSSAPI) operations.
The goal is to avoid having to build a module that wraps the entire
Kerberos.framework, and instead offer a limited set of functions that do what
is needed for client/serverKerberos authentication based on
<http://www.ietf.org/rfc/rfc4559.txt>.

Much of the C-code here is adapted from Apache's mod_auth_kerb-5.0rc7.

%files
%doc README.txt LICENSE test.py
%{python_sitearch}/kerberos.so
%{python_sitearch}/kerberos-%{version}-py%{py_ver}.egg-info

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .delegation
%patch1 -p1 -b .version
%patch2 -p1 -b .gsswrap
%patch3 -p1 -b .inquire

%build
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot}


%changelog

* Thu Jun 02 2016 Denis Silakov <dsilakov@gmail.com> 1.1-2
- (7c161a6) Move to main


